#include <Foundation/NSString.h>
@interface NSFramework_FSNode : NSObject
+ (NSString *)frameworkEnv;
+ (NSString *)frameworkPath;
+ (NSString *)frameworkVersion;
+ (NSString *const*)frameworkClasses;
@end
@implementation NSFramework_FSNode
+ (NSString *)frameworkEnv { return nil; }
+ (NSString *)frameworkPath { return @"/usr/lib64/GNUstep/Frameworks"; }
+ (NSString *)frameworkVersion { return @"0"; }
static NSString *allClasses[] = {@"FSNode", @"FSNodeRep", @"FSNTextCell", @"FSNBrowserCell", @"FSNCellNameEditor", @"FSNBrowserScroll", @"FSNBrowserMatrix", @"FSNBrowserColumn", @"FSNBrowser", @"FSNIcon", @"FSNIconNameEditor", @"FSNIconsView", @"FSNListView", @"FSNListViewDataSource", @"FSNListViewNameEditor", @"FSNListViewNodeRep", @"FSNPathComponentView", @"FSNPathComponentsViewer", NULL};
+ (NSString *const*)frameworkClasses { return allClasses; }
@end
