#include <Foundation/NSString.h>
@interface NSFramework_MDKit : NSObject
+ (NSString *)frameworkEnv;
+ (NSString *)frameworkPath;
+ (NSString *)frameworkVersion;
+ (NSString *const*)frameworkClasses;
@end
@implementation NSFramework_MDKit
+ (NSString *)frameworkEnv { return nil; }
+ (NSString *)frameworkPath { return @"/usr/lib64/GNUstep/Frameworks"; }
+ (NSString *)frameworkVersion { return @"0"; }
static NSString *allClasses[] = {@"SQLite", @"SQLitePreparedStatement", @"MDKAttributeQuery", @"MDKQuery", @"MDKQueryScanner", @"MDKTextContentQuery", @"MDKQueryManager", @"MDKWindow", @"ProgrView", @"ControlsView", @"MDKResultsCategory", @"MDKTableView", @"MDKResultCell", @"MDKAttributeChooser", @"MDKAttribute", @"MDKAttributeView", @"MDKArrayEditor", @"MDKAttributeEditor", @"MDKDateEditor", @"MDKNumberEditor", @"MDKStringEditor", @"MDKTextContentEditor", @"MDKFSFilter", @"MDKFSFilterCrDate", @"MDKFSFilterGroup", @"MDKFSFilterGroupId", @"MDKFSFilterModDate", @"MDKFSFilterOwner", @"MDKFSFilterOwnerId", @"MDKFSFilterSize", NULL};
+ (NSString *const*)frameworkClasses { return allClasses; }
@end
